Loading...
Searching...
No Matches
PositionShader< Film::RGBA, SamplerType > Class Template Reference

`#include <openvdb/tools/RayTracer.h>`

Inheritance diagram for PositionShader< Film::RGBA, SamplerType >:

## Public Types

using | RayT

## Public Member Functions

| PositionShader (const math::BBox< Vec3R > &bbox, const Film::RGBA &c=Film::RGBA(1.0f))
| PositionShader (const PositionShader &)=default
| ~PositionShader () override=default
Film::RGBA | operator() (const Vec3R &xyz, const Vec3R &, const Vec3R &) const override
| Defines the interface of the virtual function that returns a RGB color.
BaseShader * | copy () const override

## Member Typedef Documentation

## RayT

using RayT

## Constructor & Destructor Documentation

## PositionShader() [1/2]

template<typename SamplerType>

PositionShader | ( | const math::BBox< Vec3R > & | bbox,
|  | const Film::RGBA & | c = Film::RGBA(1.0f) )

inline

## PositionShader() [2/2]

template<typename SamplerType>

PositionShader | ( | const PositionShader< Film::RGBA, SamplerType > & |  | ) |

default

## ~PositionShader()

template<typename SamplerType>

~PositionShader | ( |  | ) |

override default

## Member Function Documentation

## copy()

template<typename SamplerType>

BaseShader * copy | ( |  | ) | const

inline override virtual

Implements BaseShader.

## operator()()

template<typename SamplerType>

Film::RGBA operator() | ( | const Vec3R & | xyz,
|  | const Vec3R & | nml,
|  | const Vec3R & | dir ) const

inline override virtual

Defines the interface of the virtual function that returns a RGB color.

Parameters

  xyz | World position of the intersection point.
  nml | Normal in world space at the intersection point.
  dir | Direction of the ray in world space.

Implements BaseShader.